
QGIS Application - Bug report #15583

raster classes cannot be adjusted, only by using the +/- buttons

2016-09-19 09:14 AM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23507

Description

I've tested on both Windows (via OSGeo4W installer) and arch linux.

Trying it with both a GRASS raster and a GeoTIFF DEM.

Then setting render type to "Singleband Pseudocolor".

For Arch Linux, when I press "Classify" it adds the five classes but "Classes" can't actually be changed or adjusted, like it's greyed out.

On Windows, when pressing "Classify" it generates up to 9 classes instead of the default 5.

In both instances, pressing the +/- buttons still works to manually add or remove classes so there is a workaround.

History

#1 - 2016-10-14 12:14 PM - Donovan Cameron

- Status changed from Open to Closed

Looks to be working again in 2.16.3.r85.g34c049d-1

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
